Method: projects.locations.customRanges.showUtilization

Gets the details of a single CustomRange and its utilization.

HTTP request

GET https://cloudnumberregistry.googleapis.com/v1alpha/{name=projects/*/locations/*/customRanges/*}:showUtilization

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. Name of the resource

Request body

The request body must be empty.

Response body

Message for the response to getting the utilization of a CustomRange

If successful, the response body contains data with the following structure:

JSON representation
{
  "customRange": {
    object (CustomRange)
  },
  "rangeUtilization": {
    object (RangeUtilization)
  }
}
Fields
customRange

object (CustomRange)

The CustomRange resource.

rangeUtilization

object (RangeUtilization)

The utilization of the CustomRange.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the name resource:

  • cloudnumberregistry.customRanges.get

For more information, see the IAM documentation.